Summary: IBM Advanced System Management Drivers
Name: ibmasm
Version: 3.0
Release: 9
License: GPL
Group: System Environment/Kernel
URL: http://www.ibm.com
Source0: ibmasm_user_%{version}.tar.bz2
Source1: ibmasm.init
Patch0: ibmasm_user_3.0-compile.patch
Patch1: ibmasm_user_3.0-ibmspup.patch
Patch2: ibmasm_user_3.0-makefile.patch
Patch3: ibmasm_user_3.0-fork.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i386

%description
This package contains the tools necessary to set up the IBM Advanced
System Management Drivers

%prep
%setup -q -n ibmasm
%patch0 -p1 -b .compile
%patch1 -p1 -b .ibmspup
%patch2 -p1 -b .makefile
%patch3 -p1 -b .fork

%build
cd src
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd src
make _LIB=/%{_lib} ROOT=$RPM_BUILD_ROOT install

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/ibmasm
mkdir -p $RPM_BUILD_ROOT/usr/sbin/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add %{name}
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%dir /var/lib/ibmasm
%doc src/README
/%{_lib}/libsysSp.so
%{_sbindir}/ibmsphalt
%{_sbindir}/ibmspup
%{_bindir}/evnode
%{_sysconfdir}/rc.d/init.d/ibmasm

%changelog
* Fri Jul 14 2006 Tim Powers <timp@redhat.com> - 3.0-9
- rebuild

* Thu Jun 29 2006 - arozansk@redhat.com - 3.0-8
- Not enabled on boot by default

* Fri Jun 16 2006 Tim Powers <timp@redhat.com> - 3.0-5
- initial build for RHEL 5

* Fri May 19 2006 - konradr@redhat.com - 3.0-4
- Initial RHEL4 build.

* Fri May 12 2006 - konradr@redhat.com - 3.0-3
- Cleanup to match FedoraCore guideliness

* Tue May 17 2005 - amax@us.ibm.com 3.0-2
- Release for RHEL4 U4
